QXmppPasswordChecker Class Reference

The QXmppPasswordChecker class represents an abstract password checker. More...

`#include <QXmppPasswordChecker.h>`

## Public Member Functions

virtual QXmppPasswordReply * | checkPassword (const QXmppPasswordRequest &request)
virtual QXmppPasswordReply * | getDigest (const QXmppPasswordRequest &request)
virtual bool | hasGetPassword () const

## Protected Member Functions

virtual QXmppPasswordReply::Error | getPassword (const QXmppPasswordRequest &request, QString &password)

## Detailed Description

The QXmppPasswordChecker class represents an abstract password checker.

## Member Function Documentation

## checkPassword()

QXmppPasswordReply * QXmppPasswordChecker::checkPassword | ( | const QXmppPasswordRequest & | request | ) |

virtual

Checks that the given credentials are valid.

The base implementation requires that you reimplement getPassword().

Parameters

  request |

## getDigest()

QXmppPasswordReply * QXmppPasswordChecker::getDigest | ( | const QXmppPasswordRequest & | request | ) |

virtual

Retrieves the MD5 digest for the given username.

Reimplement this method if your backend natively supports retrieving MD5 digests.

Parameters

  request |

## getPassword()

QXmppPasswordReply::Error QXmppPasswordChecker::getPassword | ( | const QXmppPasswordRequest & | request,
|  | QString & | password
| ) |  |

protected virtual

Retrieves the password for the given username.

The simplest way to write a password checker is to reimplement this method.

Parameters

  request |
  password |

## hasGetPassword()

bool QXmppPasswordChecker::hasGetPassword | ( |  | ) | const

virtual

Returns true if the getPassword() method is implemented.

The documentation for this class was generated from the following files:

- QXmppPasswordChecker.h
- QXmppPasswordChecker.cpp